Page MenuHomePhabricator

Spike: Evaluate whether AJAX page load is viable over slow connections
Closed, ResolvedPublic

Description

The multi-request, blocking page load has me a bit worried. A course page like this takes 10 seconds to load over a simulated 2G connection and up to 20 seconds to hard reload, meanwhile refreshing itself and dramatically changing layout several times. An enwiki page load, for comparison, takes 1 second and 4 seconds, respectively.

If you want to experience this, you can throttle your browser's network connection in Chrome and Chromium using the Developer -> Network Conditions tool.

One solution to consider is doing all initial rendering inline. Substituting refreshed content after page load can behave the same as it does now (does it?).

Event Timeline

awight created this task.Feb 6 2016, 1:20 AM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added subscribers: StudiesWorld, Base, Aklapper. · View Herald TranscriptFeb 6 2016, 1:20 AM
awight updated the task description. (Show Details)Feb 6 2016, 6:46 PM
awight set Security to None.
awight updated the task description. (Show Details)Feb 6 2016, 7:02 PM
awight updated the task description. (Show Details)
awight added subscribers: Ragesoss, dduvall.
awight updated the task description. (Show Details)Feb 6 2016, 7:04 PM
awight updated the task description. (Show Details)Feb 6 2016, 11:45 PM

What is a typical connection speed for our target audiences?

@TFlanagan-WMF: could you ask some of our community members with slow connections how this instance: https://dashboard.wikiedu.org/ loads for them right now? If loading time is excruciatingly slow, we may need to see how we might be able to improve this. Thanks!

awight triaged this task as High priority.Feb 11 2016, 10:38 PM
Abit added a comment.Feb 17 2016, 3:27 PM

@FloorKoudijs, we might not have to bother community members, we can test either using the Chromium Developer tool Adam suggested, or using the slow connection augmentation on the office guest network. I've forwarded you the email with the instructions for that.

We speculated yesterday that page loading times might not being the highest priority in the mvp, but this task is to make sure it loads at all, so I think the high priority Adam assigned makes sense.

Thanks for clarifying @Abit. That makes sense. So, if not community members, then who will be doing the testing? You? Me? Adam or Andrew?

I think it's worth asking community members to do some testing for us, over their real connections and not by simulating slowness in Chrome. The question is whether the real-world Internet is going to make the app unusable or not, so we want to know what users' actual connections are like.

Abit added a comment.Feb 17 2016, 5:28 PM

Oop, in that case, I defer to Adam's expertise :) @FloorKoudijs, please disregard my comment, sorry!

This is subjective, so probably worth spelling everything out so that we're not comparing vaguenesses :D

I'm interested in:

Abit closed this task as Resolved.Feb 17 2016, 10:54 PM

Two program leaders responded to

with:

Answers from my end --

  1. No. Quite smooth.
  2. Takes between 4-6 seconds.
  3. Ditto, very smooth
  4. About 2-3 seconds. Nothing too disturbing.

So closing this task as not currently a concern.

Abit reopened this task as Open.Feb 17 2016, 10:56 PM

Actually, keeping open and moving to "Done" column so we can still see it.

Great! I guess this means that they have good connectivity. We can always revisit later.

DStrine removed a subscriber: awight.Oct 31 2016, 2:16 PM
Ragesoss closed this task as Resolved.Feb 28 2017, 10:19 PM